/**********************************************************************
* File: Lab_12.cmd -- File for Lab 12
* Devices: TMS320F28035
* Author: Technical Training Organization (TTO), Texas Instruments
* History:
*   09/15/09 - original
**********************************************************************/


/**************************************************************/
/* Link all user defined sections                             */
/**************************************************************/
 
SECTIONS
{
/*** User Defined Sections ***/
   codestart         : > BEGIN_FLASH,           PAGE = 0                /* Used by file CodeStartBranch.asm */
   csm_rsvd          : > CSM_RSVD,              PAGE = 0                /* Used by file passwords.asm */
   passwords         : > PASSWORDS,             PAGE = 0                /* Used by file passwords.asm */
   ClaToCpuMsgRAM    : > CLAMSGRAM1,            PAGE = 1                /* Link to PF0 - CLA Message RAM */
   CpuToClaMsgRAM    : > CLAMSGRAM2,            PAGE = 1                /* Link to PF0 - CLA Message RAM */

   /* Section secureRamFuncs used by file SysCtrl.c. */
   secureRamFuncs    :   LOAD = FLASH,          PAGE = 0                /* Should be Flash */ 
                         RUN = LSARAM,          PAGE = 0                /* Must be CSM secured RAM */
                         LOAD_START(_secureRamFuncs_loadstart),
                         LOAD_SIZE(_secureRamFuncs_loadsize),
                         RUN_START(_secureRamFuncs_runstart)

   /* Section Cla1Prog used by file Cla.c */
   Cla1Prog          :   LOAD = FLASH,          PAGE = 0
                         RUN = L3DPSARAM,       PAGE = 0
                         LOAD_START(_cla1Funcs_loadstart),
                         LOAD_SIZE(_cla1Funcs_loadsize),
                         RUN_START(_cla1Funcs_runstart) 
   
/*** IQmath Sections ***/
   IQmathTables      : > IQTABLES,              PAGE = 0, TYPE = NOLOAD
   IQmath            : > FLASH,                 PAGE = 0
}

/******************* end of file ************************/
